redis:
  host: "localhost"
  port: 6379
  password: ""
  db: 0

mysql:
  port: 3306
  host: localhost
  db_name: niki_db
  username: niki
  password: nikiappt0lk2o20

repo:
  cache_kart_key_prefix: "shopping-basket-cart:user_id"
  cache_ttl: 2h # 24h
  mysql_ttl: 168h # 7d

http_server:
  host: "localhost"
  port: 8080
  shutdown_context_timeout: 10s
  cors:
    allow_origins:
      - "*"

path_of_migration: "./domain/shoppingbasket/repository/migration"


logger:
  level: "debug" # Can be `debug`, `info`, `warn`, `error`
  file_path: "./logs/service.log"
  use_local_time: true
  file_max_size_in_mb: 10
  file_max_age_in_days: 7
